"""
General interface for using the CIRCLE portal API
It should be implemented for using other providers e. g. OpenStack

"""


class NetworkInterfacesInterface:

    def create_interface(self, vlan):
        raise NotImplementedError

    def remove_interface(self, vlan):
        raise NotImplementedError

    def list_all_vlans(self):
        raise NotImplementedError

    def list_all_interfaces(self):
        raise NotImplementedError
